\documentclass[openany,a4paper,UTF8]{ctexart}
\usepackage{listings}
\newfontfamily\codefont{DejaVu Sans Mono}
\setmonofont{DejaVu Sans Mono}
\lstset{basicstyle=\small\codefont,frame=single,numbers=none}
\setCJKmainfont[Mapping = fullwidth-stop, % 中文空心句号映射为实心句点
  BoldFont=FZHei-B01,ItalicFont=FZKai-Z03,
  BoldItalicFont=FZFangSong-Z02]{FZNewShuSong-Z10}

\begin{document}
\thispagestyle{empty}
\noindent
{\bf 2024年网鼎杯，赛前模拟训练，二进制漏洞安全，pwn01}

\noindent
发现一个可疑的网络通道，不确定是否存在安全问题，
请根据提供的源码附件内容，对目标地址进行测试。

\bigskip\noindent
开启环境后，下载附件，解压后得到 chall.c。
分析这个C程序，我们知道要得到 flag，
就必须输入一个int类型的非负整数val，
使得另外一个int类型的 doubled = 2 * val 等于$-100$。
我们知道C语言的int类型是 32 bits 的，所以只要计算出
$(2^{32}-100)/2=2147483598$就可以了。
根据题意，使用 telnet 连接题目环境，输入2147483598就得到答案。
\begin{lstlisting}
C> telnet 019...73a.mvex.dg03.wangdingcup.com 40012
Input: 2147483598
wdflag{gp9s2xwrwu9v1av6b8fndmfhfbseny0u}
\end{lstlisting}
\end{document}
